## octave-ncarray 1.0.4

=== DESCRIPTION ===
Name: ncarray
Version: 1.0.4
Date: 2016-11-29
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: ncarray
Description: Access a single or a collection of NetCDF files as a multi-dimensional array
Categories: IO
Depends: octave (>= 3.4.0), netcdf (>= 1.0.2), statistics (>= 1.0.6)
License: GPLv2+
Url: http://modb.oce.ulg.ac.be/mediawiki/index.php/ncArray

=== debian/changelog ===
octave-ncarray (1.0.4-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:44 -0200

octave-ncarray (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #900682)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:22:02 -0300

=== debian/control ===
Source: octave-ncarray
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.2)
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/ncarray/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ncarray.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ncarray
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-ncarray
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: access NetCDF files as a multi-dimensional array in Octave
 This package contains functions for accessing a single or a
 collection of NetCDF files as a multi-dimensional array in Octave, a
 scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/ncarray-(.+)\.tar\.gz

## octave-ncarray 1.0.5

=== DESCRIPTION ===
Name: ncarray
Version: 1.0.5
Date: 2022-09-13
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: John Donoghue <john.donogue@ieee.org>
Title: ncarray
Description: Access a single or a collection of NetCDF files as a multi-dimensional array
Categories: IO
Depends: octave (>= 3.4.0), netcdf (>= 1.0.2), statistics (>= 1.0.6)
License: GPLv3+
Url: https://octave.sourceforge.io/ncarray/index.html

=== debian/changelog ===
octave-ncarray (1.0.5-3) unstable; urgency=medium

  * Team upload
  * nanmean.patch: new version of the patch taken from upstream.
    Makes the autopkgtest work with both old and new octave-statistics.
  * Bump S-V to 4.6.2

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Dec 2022 15:38:19 +0100

octave-ncarray (1.0.5-2) unstable; urgency=medium

  * Team upload
  * nanmean.patch: new patch, fixes tests against octave-statistics 1.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 Dec 2022 17:56:18 +0100

octave-ncarray (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Set upstream metadata fields: Archive.
  * d/watch:
    + Bump to format version 4
    + Adjust for new URL at gnu-octave.github.io
  * d/control:
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Build-depend on octave-netcdf and octave-statistics
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/check.m: Drop obsolete file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Sep 2022 04:41:54 -0300

octave-ncarray (1.0.4-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 11:50:38 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.2)
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave,
+               octave-netcdf,
+               octave-statistics
+Standards-Version: 4.6.2
 Homepage: https://octave.sourceforge.io/ncarray/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ncarray.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ncarray

## octave-ncarray 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: ncarray
-Version: 1.0.5
-Date: 2022-09-13
+Version: 1.0.6
+Date: 2024-04-13
 Author: Alexander Barth <barth.alexander@gmail.com>
 Maintainer: John Donoghue <john.donogue@ieee.org>
 Title: ncarray

=== debian/changelog ===
octave-ncarray (1.0.6-4) unstable; urgency=medium

  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Oct 2025 03:10:19 -0300

octave-ncarray (1.0.6-3) unstable; urgency=medium

  * d/copyright: Update list of copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 11 Mar 2025 14:55:26 -0300

octave-ncarray (1.0.6-2) unstable; urgency=medium

  * d/p/fillvalue-type.patch: New patch (Closes: #1098585)
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 11 Mar 2025 02:59:53 -0300

octave-ncarray (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * d/p/nanmean.patch: Drop patch (applied upstream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Apr 2024 05:49:59 -0300

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
                dh-sequence-octave,
                octave-netcdf,
                octave-statistics
-Standards-Version: 4.6.2
-Homepage: https://octave.sourceforge.io/ncarray/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/ncarray/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ncarray.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ncarray
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-ncarray
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/ncarray/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/ncarray-@ANY_VERSION@@ARCHIVE_EXT@
